package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.action.LifeJDBCAction;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

public class ChangeCertStateAction extends LifeJDBCAction {

   private String startTime;
   private String endTime;
   private String statue;
   private String opStatues;
   private final String SHOW_COMMON = "40";
   private final String SHOW_UPDATE = "41";
   private final String SHOW_PAST_UPDATE = "42";
   private final String SHOW_PAST_NOUPDATE = "43";


   public String execute(Context context) throws GENEException {
      String certStartTime = (String)context.get(this.startTime);
      String certEndTime = (String)context.get(this.endTime);
      String certStatus = (String)context.get(this.statue);
      if(certStartTime != null && certEndTime != null && "4".equalsIgnoreCase(certStatus)) {
         context.setDataValue(this.opStatues, this.getShowCertState(certStartTime, certEndTime));
      }

      return "0";
   }

   private Date getDate(String dateStr, String sFormat) {
      Date date = null;
      SimpleDateFormat sFormat1 = new SimpleDateFormat(sFormat);

      try {
         date = sFormat1.parse(dateStr);
      } catch (ParseException var4) {
         var4.printStackTrace();
      }

      return date;
   }

   private String getShowCertState(String endDate, String certEndTime) {
      Calendar today = Calendar.getInstance();
      Calendar.getInstance().setTime(this.getDate(endDate, "yyyyMMdd"));
      Calendar endDate1;
      (endDate1 = Calendar.getInstance()).setTime(this.getDate(certEndTime, "yyyyMMdd"));
      Calendar endDateBefore;
      (endDateBefore = Calendar.getInstance()).setTime(this.getDate(certEndTime, "yyyyMMdd"));
      endDateBefore.add(5, -30);
      Calendar endDateAfter;
      (endDateAfter = Calendar.getInstance()).setTime(this.getDate(certEndTime, "yyyyMMdd"));
      endDateAfter.add(5, 90);
      return !today.before(endDateBefore) && !today.equals(endDateBefore)?(today.after(endDateBefore) && (today.before(endDate1) || today.equals(endDate1))?"41":(today.after(endDate1) && (today.before(endDateAfter) || today.equals(endDateAfter))?"42":(today.after(endDateAfter)?"43":"0"))):"40";
   }

   public String getStartTime() {
      return this.startTime;
   }

   public void setStartTime(String startTime) {
      this.startTime = startTime;
   }

   public String getEndTime() {
      return this.endTime;
   }

   public void setEndTime(String endTime) {
      this.endTime = endTime;
   }

   public String getStatue() {
      return this.statue;
   }

   public void setStatue(String statue) {
      this.statue = statue;
   }

   public String getOpStatues() {
      return this.opStatues;
   }

   public void setOpStatues(String opStatues) {
      this.opStatues = opStatues;
   }

   public static void main(String[] status) {
      ChangeCertStateAction status1 = new ChangeCertStateAction();
      String sdate = "20120101010101";
      String edate = "20140909010101";
      String status2 = status1.getShowCertState(sdate, edate);
      System.out.println(status2);
   }
}
